<template>

    <!-- 

    question: 4

    ---------------------------------------------------------- -->
    <div class='swiper-slide selection-question' data-hash='Q4'>
        <div class='outer'>
            <h1>How many people will use the shredder?</h1>
            <p>Each person in your home or office will have a different demand on their shredder in regards to amount and frequency. To estimate this variable please select the number of people who will be using the shredder.</p>
            <div class='buttons are-one-fourth with-people max-people'>
                <label v-on:click="pickAnswer('1')" class='button has-figure'>
                    <span class='button-figure figure-1person' style=''></span>
                    <span class='button-caption'>1 Person</span>
                </label>
                <label v-on:click="pickAnswer('3')" class='button has-figure'>
                    <span class='button-figure  figure-3people'></span>
                    <span class='button-caption'>1&mdash;3 People</span>
                </label>
                <label v-on:click="pickAnswer('5')" class='button has-figure'>
                    <span class='button-figure figure-5people'></span>
                    <span class='button-caption'>3&mdash;5 People</span>
                </label>
                <label v-on:click="pickAnswer('5+')" class='button has-figure'>
                    <span class='five-plus-people'>&#43;</span>
                    <span class='button-figure figure-6people'></span>
                    <span class='button-caption'>5+ People</span>
                </label>
            </div>
        </div>
    </div>
</template>

<script>
  import { mapGetters, mapMutations } from 'vuex'

  export default {
    name: 'Question4',
    computer: {
      ...mapGetters(['isQuestion', 'answers']),
    },

    methods: {
      ...mapMutations(['goto', 'setUsers']),
      pickAnswer(answer) {
        this.setUsers(answer);
        this.goto(5);
      }
    }
  }
</script>